#version 430 core

layout (location = 0) in vec3 position;
out vec3 textureCoords;

uniform mat4 viewProjectMatrix;

void main() {
    textureCoords = position;
    vec4 projectedPosition = viewProjectMatrix * vec4(position, 1.0);
    gl_Position = projectedPosition.xyww; // hack so that the skybox has the highest depth possible and is therefore always rendered behind.
}
