#version 430 core

in vec2 fragTextureCoords;
out vec4 FragColor;

uniform sampler2D targetTexture;
uniform bool hasTexture = true;
uniform vec4 color = vec4(1);

void main() {
    if (hasTexture) {
        FragColor = color * texture(targetTexture, fragTextureCoords);
    } else {
        FragColor = color;
    }
}
